org.jboss.jca.adapters.jdbc

## Class WrappedPreparedStatement

- java.lang.Object
- - org.jboss.jca.adapters.jdbc.JBossWrapper
  - - org.jboss.jca.adapters.jdbc.WrappedStatement
    - - org.jboss.jca.adapters.jdbc.WrappedPreparedStatement

- All Implemented Interfaces:
    java.io.Serializable, java.lang.AutoCloseable, java.sql.PreparedStatement, java.sql.Statement, java.sql.Wrapper, StatementAccess
  Direct Known Subclasses:
    WrappedCallableStatement, WrappedPreparedStatementJDK7, WrappedPreparedStatementJDK8

      public abstract class WrappedPreparedStatement
      extends WrappedStatement
      implements java.sql.PreparedStatement

  A wrapper for a prepared statement.
  Author:
    David Jencks, Adrian Brock, Jesper Pedersen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.WrappedStatement

      `defaultFetchSize, doLocking, jndiName, spy, spyLogger, spyLoggingCategory`

    - ### Fields inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `bundle`

    - ### Fields inherited from interface java.sql.Statement

      `CLOSE_ALL_RESULTS, CLOSE_CURRENT_RESULT, EXECUTE_FAILED, KEEP_CURRENT_RESULT, NO_GENERATED_KEYS, RETURN_GENERATED_KEYS, SUCCESS_NO_INFO`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `WrappedPreparedStatement(WrappedConnection lc, java.sql.PreparedStatement ps, boolean spy, java.lang.String jndiName, boolean doLocking)` Constructor
    `protected` | `WrappedPreparedStatement(WrappedConnection lc, java.sql.PreparedStatement ps, boolean spy, java.lang.String jndiName, boolean doLocking, java.lang.String spyLoggingCategory)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBatch()`
    `void` | `clearParameters()`
    `boolean` | `execute()`
    `java.sql.ResultSet` | `executeQuery()`
    `int` | `executeUpdate()`
    `java.sql.ResultSetMetaData` | `getMetaData()`
    `java.sql.ParameterMetaData` | `getParameterMetaData()`
    `java.sql.PreparedStatement` | `getUnderlyingStatement()` Get the underlying statement
    `protected java.sql.PreparedStatement` | `getWrappedObject()` Get the wrapped statement
    `void` | `setArray(int parameterIndex, java.sql.Array value)`
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream stream, int length)` Deprecated.
    `void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal value)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream stream, int length)`
    `void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, long length)`
    `void` | `setBlob(int parameterIndex, java.sql.Blob value)`
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream)`
    `void` | `setBlob(int parameterIndex, java.io.InputStream inputStream, long length)`
    `void` | `setBoolean(int parameterIndex, boolean value)`
    `void` | `setByte(int parameterIndex, byte value)`
    `void` | `setBytes(int parameterIndex, byte[] value)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)`
    `void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setClob(int parameterIndex, java.sql.Clob value)`
    `void` | `setClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setDate(int parameterIndex, java.sql.Date value)`
    `void` | `setDate(int parameterIndex, java.sql.Date value, java.util.Calendar calendar)`
    `void` | `setDouble(int parameterIndex, double value)`
    `void` | `setFloat(int parameterIndex, float value)`
    `void` | `setInt(int parameterIndex, int value)`
    `void` | `setLong(int parameterIndex, long value)`
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value)`
    `void` | `setNCharacterStream(int parameterIndex, java.io.Reader value, long length)`
    `void` | `setNClob(int parameterIndex, java.sql.NClob value)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader)`
    `void` | `setNClob(int parameterIndex, java.io.Reader reader, long length)`
    `void` | `setNString(int parameterIndex, java.lang.String value)`
    `void` | `setNull(int parameterIndex, int sqlType)`
    `void` | `setNull(int parameterIndex, int sqlType, java.lang.String typeName)`
    `void` | `setObject(int parameterIndex, java.lang.Object value)`
    `void` | `setObject(int parameterIndex, java.lang.Object value, int sqlType)`
    `void` | `setObject(int parameterIndex, java.lang.Object value, int sqlType, int scale)`
    `void` | `setRef(int parameterIndex, java.sql.Ref value)`
    `void` | `setRowId(int parameterIndex, java.sql.RowId x)`
    `void` | `setShort(int parameterIndex, short value)`
    `void` | `setSQLXML(int parameterIndex, java.sql.SQLXML xmlObject)`
    `void` | `setString(int parameterIndex, java.lang.String value)`
    `void` | `setTime(int parameterIndex, java.sql.Time value)`
    `void` | `setTime(int parameterIndex, java.sql.Time value, java.util.Calendar calendar)`
    `void` | `setTimestamp(int parameterIndex, java.sql.Timestamp value)`
    `void` | `setTimestamp(int parameterIndex, java.sql.Timestamp value, java.util.Calendar calendar)`
    `void` | `setUnicodeStream(int parameterIndex, java.io.InputStream stream, int length)` Deprecated.
    `void` | `setURL(int parameterIndex, java.net.URL value)`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.WrappedStatement

      `addBatch, cancel, checkConfiguredQueryTimeout, checkException, checkState, checkTransaction, checkTransactionActive, clearBatch, clearWarnings, close, closeOnCompletion, closeResultSets, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, internalClose, isClosed, isCloseOnCompletion, isPoolable, lock, registerResultSet, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout, unlock, unregisterResultSet, wrapResultSet`

    - ### Methods inherited from class org.jboss.jca.adapters.jdbc.JBossWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.PreparedStatement

      `executeLargeUpdate, setObject, setObject`

    - ### Methods inherited from interface java.sql.Statement

      `addBatch, cancel, clearBatch, clearWarnings, close, closeOnCompletion, execute, execute, execute, execute, executeBatch, executeLargeBatch, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeLargeUpdate, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getLargeMaxRows, getLargeUpdateCount, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, isClosed, isCloseOnCompletion, isPoolable, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setLargeMaxRows, setMaxFieldSize, setMaxRows, setPoolable, setQueryTimeout`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Constructor Detail

    - #### WrappedPreparedStatement

          public WrappedPreparedStatement(WrappedConnection lc,
                                          java.sql.PreparedStatement ps,
                                          boolean spy,
                                          java.lang.String jndiName,
                                          boolean doLocking)

      Constructor
      Parameters:
        `lc` - The connection
        `ps` - The prepared statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking

    - #### WrappedPreparedStatement

          protected WrappedPreparedStatement(WrappedConnection lc,
                                             java.sql.PreparedStatement ps,
                                             boolean spy,
                                             java.lang.String jndiName,
                                             boolean doLocking,
                                             java.lang.String spyLoggingCategory)

      Constructor
      Parameters:
        `lc` - The connection
        `ps` - The prepared statement
        `spy` - The spy value
        `jndiName` - The jndi name
        `doLocking` - Do locking
        `spyLoggingCategory` - The spy logging category

  - ### Method Detail

    - #### getUnderlyingStatement

          public java.sql.PreparedStatement getUnderlyingStatement()
                                                            throws java.sql.SQLException

      Get the underlying statement
      Specified by:
        `getUnderlyingStatement` in interface `StatementAccess`
      Overrides:
        `getUnderlyingStatement` in class `WrappedStatement`
      Returns:
        the underlying statement
      Throws:
        `java.sql.SQLException` - when already closed

    - #### setBoolean

          public void setBoolean(int parameterIndex,
                                 boolean value)
                          throws java.sql.SQLException

      Specified by:
        `setBoolean` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setByte

          public void setByte(int parameterIndex,
                              byte value)
                       throws java.sql.SQLException

      Specified by:
        `setByte` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setShort

          public void setShort(int parameterIndex,
                               short value)
                        throws java.sql.SQLException

      Specified by:
        `setShort` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setInt

          public void setInt(int parameterIndex,
                             int value)
                      throws java.sql.SQLException

      Specified by:
        `setInt` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setLong

          public void setLong(int parameterIndex,
                              long value)
                       throws java.sql.SQLException

      Specified by:
        `setLong` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setFloat

          public void setFloat(int parameterIndex,
                               float value)
                        throws java.sql.SQLException

      Specified by:
        `setFloat` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDouble

          public void setDouble(int parameterIndex,
                                double value)
                         throws java.sql.SQLException

      Specified by:
        `setDouble` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setURL

          public void setURL(int parameterIndex,
                             java.net.URL value)
                      throws java.sql.SQLException

      Specified by:
        `setURL` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public void setTime(int parameterIndex,
                              java.sql.Time value)
                       throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTime

          public void setTime(int parameterIndex,
                              java.sql.Time value,
                              java.util.Calendar calendar)
                       throws java.sql.SQLException

      Specified by:
        `setTime` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### execute

          public boolean execute()
                          throws java.sql.SQLException

      Specified by:
        `execute` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getMetaData

          public java.sql.ResultSetMetaData getMetaData()
                                                 throws java.sql.SQLException

      Specified by:
        `getMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeQuery

          public java.sql.ResultSet executeQuery()
                                          throws java.sql.SQLException

      Specified by:
        `executeQuery` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### executeUpdate

          public int executeUpdate()
                            throws java.sql.SQLException

      Specified by:
        `executeUpdate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### addBatch

          public void addBatch()
                        throws java.sql.SQLException

      Specified by:
        `addBatch` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public void setNull(int parameterIndex,
                              int sqlType)
                       throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNull

          public void setNull(int parameterIndex,
                              int sqlType,
                              java.lang.String typeName)
                       throws java.sql.SQLException

      Specified by:
        `setNull` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBigDecimal

          public void setBigDecimal(int parameterIndex,
                                    java.math.BigDecimal value)
                             throws java.sql.SQLException

      Specified by:
        `setBigDecimal` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setString

          public void setString(int parameterIndex,
                                java.lang.String value)
                         throws java.sql.SQLException

      Specified by:
        `setString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBytes

          public void setBytes(int parameterIndex,
                               byte[] value)
                        throws java.sql.SQLException

      Specified by:
        `setBytes` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public void setDate(int parameterIndex,
                              java.sql.Date value)
                       throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setDate

          public void setDate(int parameterIndex,
                              java.sql.Date value,
                              java.util.Calendar calendar)
                       throws java.sql.SQLException

      Specified by:
        `setDate` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public void setTimestamp(int parameterIndex,
                                   java.sql.Timestamp value)
                            throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setTimestamp

          public void setTimestamp(int parameterIndex,
                                   java.sql.Timestamp value,
                                   java.util.Calendar calendar)
                            throws java.sql.SQLException

      Specified by:
        `setTimestamp` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          @Deprecated
          public void setAsciiStream(int parameterIndex,
                                                 java.io.InputStream stream,
                                                 int length)
                                          throws java.sql.SQLException

      Deprecated.
      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setUnicodeStream

          @Deprecated
          public void setUnicodeStream(int parameterIndex,
                                                   java.io.InputStream stream,
                                                   int length)
                                            throws java.sql.SQLException

      Deprecated.
      Specified by:
        `setUnicodeStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                                      java.io.InputStream stream,
                                      int length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### clearParameters

          public void clearParameters()
                               throws java.sql.SQLException

      Specified by:
        `clearParameters` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object value,
                                int sqlType,
                                int scale)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object value,
                                int sqlType)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setObject

          public void setObject(int parameterIndex,
                                java.lang.Object value)
                         throws java.sql.SQLException

      Specified by:
        `setObject` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                         java.io.Reader reader,
                                         int length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRef

          public void setRef(int parameterIndex,
                             java.sql.Ref value)
                      throws java.sql.SQLException

      Specified by:
        `setRef` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                              java.sql.Blob value)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                              java.sql.Clob value)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setArray

          public void setArray(int parameterIndex,
                               java.sql.Array value)
                        throws java.sql.SQLException

      Specified by:
        `setArray` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getParameterMetaData

          public java.sql.ParameterMetaData getParameterMetaData()
                                                          throws java.sql.SQLException

      Specified by:
        `getParameterMetaData` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                                     java.io.InputStream x,
                                     long length)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setAsciiStream

          public void setAsciiStream(int parameterIndex,
                                     java.io.InputStream x)
                              throws java.sql.SQLException

      Specified by:
        `setAsciiStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                                      java.io.InputStream x,
                                      long length)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBinaryStream

          public void setBinaryStream(int parameterIndex,
                                      java.io.InputStream x)
                               throws java.sql.SQLException

      Specified by:
        `setBinaryStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                              java.io.InputStream inputStream,
                              long length)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setBlob

          public void setBlob(int parameterIndex,
                              java.io.InputStream inputStream)
                       throws java.sql.SQLException

      Specified by:
        `setBlob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                         java.io.Reader reader,
                                         long length)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setCharacterStream

          public void setCharacterStream(int parameterIndex,
                                         java.io.Reader reader)
                                  throws java.sql.SQLException

      Specified by:
        `setCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                              java.io.Reader reader,
                              long length)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setClob

          public void setClob(int parameterIndex,
                              java.io.Reader reader)
                       throws java.sql.SQLException

      Specified by:
        `setClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                          java.io.Reader value,
                                          long length)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNCharacterStream

          public void setNCharacterStream(int parameterIndex,
                                          java.io.Reader value)
                                   throws java.sql.SQLException

      Specified by:
        `setNCharacterStream` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                               java.sql.NClob value)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                               java.io.Reader reader,
                               long length)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNClob

          public void setNClob(int parameterIndex,
                               java.io.Reader reader)
                        throws java.sql.SQLException

      Specified by:
        `setNClob` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setNString

          public void setNString(int parameterIndex,
                                 java.lang.String value)
                          throws java.sql.SQLException

      Specified by:
        `setNString` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setRowId

          public void setRowId(int parameterIndex,
                               java.sql.RowId x)
                        throws java.sql.SQLException

      Specified by:
        `setRowId` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### setSQLXML

          public void setSQLXML(int parameterIndex,
                                java.sql.SQLXML xmlObject)
                         throws java.sql.SQLException

      Specified by:
        `setSQLXML` in interface `java.sql.PreparedStatement`
      Throws:
        `java.sql.SQLException`

    - #### getWrappedObject

          protected java.sql.PreparedStatement getWrappedObject()
                                                         throws java.sql.SQLException

      Get the wrapped statement
      Overrides:
        `getWrappedObject` in class `WrappedStatement`
      Returns:
        The result
      Throws:
        `java.sql.SQLException` - Thrown if an error occurs

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)